[How to] Set another default PHP version for new subscriptions?

Created:

2016-11-16 13:00:17 UTC

Modified:

2017-04-24 11:17:07 UTC

1

Was this article helpful?


Have more questions?

Submit a request

[How to] Set another default PHP version for new subscriptions?

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 11.5 for Windows
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Windows
  • Plesk 12.0 for Linux
  • Plesk 12.5 for Windows

Question

How to set another default PHP version for new subscriptions?
Currently new domains are being created with unwanted PHP version.

Answer

  1. For created subscription PHP version can be changed in Hosting Settings :

    Subscriptions > example.com > Websites & Domains > Hosting Settings > PHP version

  2. To change PHP version for all new subscriptions, PHP version should be set under Service plan section. By default, Default Domain plan is used.

    Service Plans > < service_plan_name > > Hosting Parameters > PHP version

  3. If Plesk edition does not allow to manage service plans via web interface (Web Admin Edition, Web App Edition) it can be managed by command line utilities. For example for Plesk 12.5 for Linux it can be done as follows:

  4. Find hosting plan assigned to subscription:

        # plesk bin subscription -i example.com | grep plan
    The domain is subscribed to the service plan "Unlimited" of admin.
  5. Find installed PHP handlers:

        # /usr/local/psa/admin/bin/php_handlers_control --list
  6. Set required PHP handler for hosting plan:

        # plesk bin service_plan -u "Unlimited" -php_handler_id plesk-php70-fpm
    The hosting plan 'Unlimited' was successfully updated.

References for Command-Line Utilities can be found on Plesk Documentation and Help Portal

Have more questions? Submit a request
Please sign in to leave a comment.